body {
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    font-size: 18px;
    line-height: 140%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Playfair Display', serif;
    font-size: 56px;
    font-weight: 500;
    line-height: 120%;
}

.section-padding {
    padding: 96px 0;
}

.banner-text {
    position: absolute;
    /* top: 7%; */
    top: 3%;
    left: 0;
    right: 0;
    text-align: center;
    width: 60%;
    margin: auto;
    background-color: #ffffff8c;
    border-radius: 20px;
}

.banner-text h1 {
    /* color: #fff; */
    margin-top: 20px;
}

.banner-text p {
    /* color: #fff; */
    margin-top: 20px;
}

.about-text {
    position: absolute;
    /* top: 10%; */
    top: 20%;
    left: 0;
    right: 0;
}

.about-text h2,
.architecture-text h2 {
    margin-bottom: 52px;
}

.vision {
    background-color: #FBFBFB;
}

.vision .card-container {
    margin-top: 48px;
}

.vision .card {
    margin-top: 36px;
    align-items: center;
    border-radius: 20px;
    box-shadow: 0px 4px 14px 0px rgb(81 81 81 / 35%);
}

.vision .card .row {
    align-items: center;
}

.vision .card-content {
    padding: 90px 30px;
}

.vision .card h3 {
    font-size: 28px;
}

.vision .card p {
    font-size: 18px;
    line-height: 120%;
}

.architecture-text {
    position: absolute;
    top: 10%;
    left: 0;
    right: 0;
}

.architecture-text .testimonial {
    color: #755A89;
    font-weight: 600;
}

.design-content img {
    border-radius: 23px;
    /* margin-top: 48px; */
    margin-bottom: 48px;
    height: 372px;
    width: 100%;
}

.design-content h3 {
    /* font-size: 36px; */
    font-size: 32px;
    margin-top: 66px;
    margin-bottom: 36px;
}

.design-content p {
    font-size: 18px;
}

.work {
    background: url('https://vibrantspaces.in/wp-content/uploads/2025/10/Banner.png') center/cover no-repeat;
    /* background: url('img/work-bg.png') center/cover no-repeat; */
}

.work h3 {
    color: #FFFFFF;
    margin-bottom: 60px;
}

.work-card {
    background: url('img/work-card-bg.png') center/cover no-repeat;
    text-align: center;
    border-radius: 31px;
    height: 250px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 25px;
}

.work-card h3 {
    font-family: "Inter", sans-serif;
    /* font-size: 89px; */
    font-size: 70px;
    font-weight: 400;
    line-height: 120%;
    letter-spacing: -5%;
    margin-bottom: 0;
    color: white;
}

.work-card p {
    font-family: "Inter", sans-serif;
    font-size: 21px;
    font-weight: 400;
    line-height: 120%;
    color: white;
}

.precision-container {
    flex-direction: row;
    align-items: center;
}

.precision-container h2 {
    margin-bottom: 48px;
}
section.precision {
    height: 700px;
    display: flex;
    align-items: center;
}
.precision-img {
    width: 45%;
    position: absolute;
    right: 0;
    height: 500px;
    object-fit: cover;
    border-radius: 40px;
}

.project {
    background-color: #F2F2F2;
}

.project h2 {
    margin-bottom: 48px;
}

.project p {
    width: 80%;
    margin: 17px auto;
}
.portfolio {
    /* margin-top: 20%; */
    /* margin-top: 10%; */
    background-color: #FBFBFB;
}
/* section.radiation img {
    height: 450px;
    width: 100%;
    object-fit: cover;
    border-radius: 40px;
    object-position: top;
} */
.radiation p {
    /* padding-bottom: 10%; */
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.radiation h2, .portfolio h2 {
    margin-bottom: 48px;
}

.get-quote-btn {
    background: #F15A24;
    color: #fff;
    border: none;
    border-radius: 47px;
    padding: 16px 152px;
    font-size: 16px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    line-height: 24px;
    cursor: pointer;
    text-decoration: none;
    transition: background 0.2s;
}

.get-quote-btn:hover {
    background-color: white;
    color: #F15A24;
    border: 1px solid #F15A24;
}

.clients {
    background-color: #ECE7F0;
}

.clients h2 {
    margin-bottom: 31px;
}

.clients p {
    margin-bottom: 46px;
}
.clients a{
    text-decoration: none;
}

.clients-names {
    width: 80%;
    margin: auto;
    font-family: 'Playfair Display', serif;
    font-size: 24px;
    font-weight: 500;
    margin-top: 10px;
    line-height: auto;
    text-decoration: none;
    color: #1A0710;
}
.section-content-clients-top {
    margin: 31px auto 0;
}
.section-content-clients {
    margin: 71px auto 0;
    width: 50%;
    margin-bottom: 0;
}
.contact-section h2{
    margin-bottom: 56px;
}
.form-container {
    background: #fff;
    padding: 30px;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
}
.quote-form {
    border-radius: 10px;
    padding: 28px 22px;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.quote-form input,
.quote-form select, .quote-form textarea {
    padding: 0 12px;
    border: 1px solid #ddd;
    border-radius: 6px;
    font-size: 1rem;
    font-family: inherit;
}
.quote-form label{
    font-size: 16px;
    line-height: 24px;
}
.contact-flex .quote-form input,
.contact-flex .quote-form select {
    height: 56px !important;
}

.contact-section .quote-form {
    width: 60%;
}
.contact-flex {
    display: flex;
    gap: 38px;
    align-items: flex-start;
    background-color: #F9F9F9;
    padding: 10px;
    border-radius: 12px;
}

.contact-info {
    font-family: "Poppins", sans-serif;
    background-image: url("img/contact-bg.png");
    color: #fff;
    border-radius: 12px;
    padding: 38px 28px;
    width: 512px;
    flex: 1 1 220px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 520px;
    background-repeat: no-repeat;
}

.modal-body .contact-info {
    min-width: 350px;
}

.contact-info h3 {
    font-family: "Poppins", sans-serif;
    font-size: 28px;
    line-height: auto;
    font-weight: 600;
}

.contact-sub {
    font-family: "Poppins", sans-serif;
    margin-bottom: 24px !important;
    font-size: 18px;
    font-weight: 400;
    margin-top: 12px !important;
    color: #C9C9C9;
}

.contact-info p {
    font-family: "Poppins", sans-serif;
    margin: 10px 0;
    font-size: 16px;
}

.anchor {
    font-family: "Poppins", sans-serif;
    font-size: 16px;
    text-decoration: none;
    color: #FFFFFF;
}

.social-icons {
    margin-top: 24px;
}

.social-icons {
    display: flex;
    gap: 10px;
}

.social-icons span a {
    /* font-size: 20px; */
    font-size: 30px;
    color: #fff;
    background: #F67D03;
    padding: 10px;
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
}

.quote-form h3 {
    font-family: 'Montserrat', sans-serif;
    font-size: 20px;
    line-height: 28px;
    font-weight: 600;
    color: #1A0710;
}

.social-icons-form {
    display: flex;
    gap: 10px;
    margin-bottom: 30px;
}

.social-checkbox {
    position: relative;
}

.social-checkbox input[type="checkbox"] {
    display: none;
}

.social-checkbox label {
    font-size: 20px;
    color: #444;
    background: #e9ecef;
    padding: 10px;
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Highlight selected icons with brand colors */
.social-checkbox input[type="checkbox"]:checked+label.bi-google,
label.bi-google:hover {
    background-color: #92a8d1;
    color: #fff;
}

.social-checkbox input[type="checkbox"]:checked+label.bi-youtube,
label.bi-youtube:hover {
    background-color: #FF0000;
    color: #fff;
}

.social-checkbox input[type="checkbox"]:checked+label.bi-facebook,
label.bi-facebook:hover {
    background-color: #1877F2;
    color: #fff;
}

.social-checkbox input[type="checkbox"]:checked+label.bi-instagram,
label.bi-instagram:hover {
    background: #833ab4;
    background: linear-gradient(to right,
            #833ab4, #fd1d1d, #fcb045);
    color: #fff;
}


.service-container {
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: center;
}

.bg-1 {
    background-image: url('img/agnikul.png');
    background-size: cover;
    background-position: center center;
}

.bg-2 {
    background-image: url('img/SNS.png');
    background-size: cover;
    background-position: center center;
}

.bg-3 {
    background-image: url('img/allison.png');
    background-size: cover;
    background-position: center center;
}
.services {
    height: 330px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 20px;
    border-radius: 40px;
    overflow: hidden;
    width:200px;
    transition: width 0.8s cubic-bezier(0.4, 0, 0.2, 1), background 0.8s, box-shadow 0.4s;
    cursor: pointer;
    filter: grayscale(1.1);
}

.services.expanded {
    width: 420px;
    box-shadow: 0 8px 32px rgba(0,0,0,0.2);
    padding: 29px 32px;
    filter: grayscale(0);
}

.services.expanded .block-2 {
    display: flex;
    justify-content: space-between;
}

.block-2 {
    align-items: end;
    display: flex;
    height: 330px;
}

.services .icons {
    font-size: 20px;
    font-weight: 700;
    font-family: "Inter", sans-serif;
    color: #FFFFFF;
    line-height: auto;
}

@media only screen and (min-width:769px) and (max-width:1280px) {
    h1, h2, h3, h4, h5, h6 {
        font-size: 36px;
    }
    body{
        font-size: 16px;
    }
    .about-text h2, .architecture-text h2 {
        margin-bottom: 12px;
    }
    .vision .card-content {
        padding: 30px;
    }
    .architecture {
        padding-bottom: 0;
    }
    .design-content h3 {
        font-size: 32px;
        margin-top: 36px;
        margin-bottom: 26px;
    }
    .portfolio{
        margin-top: 0;
    }
    .section-content-clients {
        margin: 21px auto 0;
        width: 100%;
        margin-bottom: 0;
    }
}
@media only screen and (max-width:768px) {
    .modal-button-banner img {
        object-fit: cover;
    }
    .service-container {
        flex-direction: column;
    }

    .services {
        width: 100%;
        height: 100px;
        transition: height 0.8s cubic-bezier(0.4, 0, 0.2, 1);
        cursor: pointer;
    }
    .service{
        width: 40%;
    }
    .services.expanded {
        height: 330px;
        width: 100%;
    }

    .portfolio{
        margin-top: 0;
    }
}



/* Responsive Design */
@media (max-width: 650px) {
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-size: 32px;
    }
    body{
        font-size: 14px;
    }
    .section-padding{
        padding: 46px 0;
    }
    .banner img{
        height: 600px;
    }
    .banner-text{
        top: 0;
        width: 100%;
    }
    .about img {
        height: 500px;
        object-position: right;
        object-fit: cover;
    }
    .vision .card-content {
        padding: 40px 30px;
    }
    .about-text h2, .architecture-text h2, .precision-container h2, .radiation h2, .clients h2 {
        margin-bottom: 22px;
    }
    .about-text{
        position: relative;
    }
    .design-content h3 {
        font-size: 24px;
        margin-top: 36px;
        margin-bottom: 18px;
    }
    .design-content p {
        font-size: 14px;
    }
    .work-card{
        margin-bottom: 20px;
    }
    .precision-img{
        width: 100%;
        position: relative;
    }
    .project p{
        width: 100%;
    }
    .radiation h2{
        margin-top: 17px;
    }
    .section-content-clients{
        margin: 30px auto 0;
        width: 100%;
    }
    .clients p{
        margin-bottom: 23px;
    }
    .clients-names{
        line-height: 32px;
    }
    .contact-info{
        width:100%;
        min-width: 100%!important;
    }
    .contact-section .quote-form {
        width: 100%;
        margin: auto;
    }
    .contact-flex {
        flex-direction: column;
        gap: 28px;
        align-items: stretch;
    }
    .contact-info p {
        margin: 10px 0;
        font-size: 1.05em;
        color: white;
    }
    .get-quote-btn {
        padding: 16px 55px;
    }
    .architecture-text{
        top: 4%;
    }
}